cURL
curl --request PATCH \
--url https://api.covenance.com/card/{cardId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"spendingConstraint": {
"spendingRule": {
"transactionSizeLimit": {}
}
}
}
'import requests
url = "https://api.covenance.com/card/{cardId}"
payload = {
"name": "<string>",
"spendingConstraint": { "spendingRule": { "transactionSizeLimit": {} } }
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
spendingConstraint: {spendingRule: {transactionSizeLimit: {}}}
})
};
fetch('https://api.covenance.com/card/{cardId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"last4": "<string>",
"name": "<string>",
"expiryMonth": "<string>",
"expiryYear": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"spendingConstraint": {
"spendingRule": {
"utilizationLimit": {
"timezone": "<string>",
"limitAmount": {
"amountCents": 123
},
"startDate": "<string>"
},
"transactionSizeLimit": {
"minimum": {
"amountCents": 123
},
"maximum": {
"amountCents": 123
}
}
}
}
}{
"status": 123,
"code": "<string>",
"message": "<string>"
}{
"status": 123,
"code": "<string>",
"message": "<string>"
}{
"status": 123,
"code": "<string>",
"message": "<string>"
}{
"status": 123,
"code": "<string>",
"message": "<string>"
}Card
Update card
Update a card
PATCH
/
card
/
{cardId}
cURL
Authorizations
Path Parameters
Body
application/json
Response
OK
Id of the card
Last 4 digits of the card number
Name of the card holder
Expiry month of the card
Expiry year of the card
Status of the card
Available options:
active, paused, inactive, closed Creation date of the card
Spending constraint of the card
Show child attributes
Show child attributes
⌘I

